Bug 26487 - Add all MARC flavours for not-onloan-count search field
Summary: Add all MARC flavours for not-onloan-count search field
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-18 13:07 UTC by Fridolin Somers
Modified: 2020-11-17 20:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26487: Add all MARC flavours for not-onloan-count search field (1.30 KB, patch)
2020-09-18 13:12 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26487: Add all MARC flavours for not-onloan-count search field (1.35 KB, patch)
2020-10-25 21:03 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 26487: Add all MARC flavours for not-onloan-count search field (1.41 KB, patch)
2020-11-01 00:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-09-18 13:07:58 UTC
In admin/searchengine/elasticsearch/mappings.yaml the search field not-onloan-count is defined for MARC21 on 999x.
This should be for all the MARC flavours, like in Zebra config.
Comment 1 Fridolin Somers 2020-09-18 13:12:22 UTC
Created attachment 110385 [details] [review]
Bug 26487: Add all MARC flavours for not-onloan-count search field

In admin/searchengine/elasticsearch/mappings.yaml the search field not-onloan-count is defined for MARC21 on 999x.
This should be for all the MARC flavours, like in Zebra config.

Test plan:
1) On a UNIMARC database
2) Reset Elasticsearch mappings
3) Check search engine config to see field 'not-onloan-count' on 999$x
4) Same on a NORMARC database
Comment 2 Chris Cormack 2020-10-25 21:03:13 UTC
Created attachment 112485 [details] [review]
Bug 26487: Add all MARC flavours for not-onloan-count search field

In admin/searchengine/elasticsearch/mappings.yaml the search field not-onloan-count is defined for MARC21 on 999x.
This should be for all the MARC flavours, like in Zebra config.

Test plan:
1) On a UNIMARC database
2) Reset Elasticsearch mappings
3) Check search engine config to see field 'not-onloan-count' on 999$x
4) Same on a NORMARC database

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Katrin Fischer 2020-11-01 00:30:01 UTC
Created attachment 112794 [details] [review]
Bug 26487: Add all MARC flavours for not-onloan-count search field

In admin/searchengine/elasticsearch/mappings.yaml the search field not-onloan-count is defined for MARC21 on 999x.
This should be for all the MARC flavours, like in Zebra config.

Test plan:
1) On a UNIMARC database
2) Reset Elasticsearch mappings
3) Check search engine config to see field 'not-onloan-count' on 999$x
4) Same on a NORMARC database

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-02 10:05:30 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 18:17:36 UTC
backported to 20.05.x for 20.05.06
Comment 6 Aleisha Amohia 2020-11-17 05:13:59 UTC
enhancement, not backported to 19.11.x